name: Exception Test
on:
  push:
  pull_request:
jobs:
  test:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout code
        uses: actions/checkout@v4
      - name: Compile Java
        run: |
          mkdir -p out
          javac -d out $(find java common -name "*.java")
      - name: Run Exception tests
        run: |
          java -ea -cp out expression.exceptions.ExceptionsTest hard base 3233 3435 3637 3839
